{
  options.machine.prometheus = {
    enable = mkEnableOption "Prometheus";
    domain = mkOption {
      type = types.nullOr types.str;
      default = null;
      description = "Domain name. If not set, will be disabled, and use the localhost.";
    };
    port = mkOption {
      type = types.port;
      default = cfg.port;
      description = "Listen port.";
    };
  };
}
